
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>实例化Layout中的布局文件（xml） / 憋错料</title>

    <meta name="description" content="实例化Layout中的布局文件（xml） 什么是LayoutInflater This class is used to instantiate layout XML file into its corresponding View objects. 这个类作用是把把xml类型的布局转化成相应的View对象 在实际开发中LayoutInflater这个类还是非常有用的,它的作用类似于findViewById(). 不同点是LayoutInflater是用来找res/layout/下的xml布局文件,并且实例化:而findViewById">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">实例化Layout中的布局文件（xml）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<ul>
<li>什么是LayoutInflater</li>
</ul>
<p>　　This class is used to instantiate layout XML file into its corresponding View objects.</p>
<p>这个类作用是把把xml类型的布局转化成相应的View对象</p>
<ul>
<li>在实际开发中LayoutInflater这个类还是非常有用的，它的作用类似于findViewById()。</li>
</ul>
<p>　　不同点是LayoutInflater是用来找res/layout/下的xml布局文件，并且实例化；而findViewById()是找xml布局文件下的具体widget控件(如Button、TextView等)。</p>
<p>具体作用： 1、对于一个没有被载入或者想要动态载入的界面，都需要使用LayoutInflater.inflate()来载入；</p>
<p>　　　　　 2、对于一个已经载入的界面，就可以使用Activity.findViewById()方法来获得其中的界面元素。</p>
<ul>
<li>LayoutInflater 实例化的三种方式</li>
</ul>
<ol>
<li>LayoutInflater inflater = getLayoutInflater(); //调用Activity的getLayoutInflater()</li>
<li>LayoutInflater localinflater =(LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE); //context需定义</li>
<li>LayoutInflater inflater = LayoutInflater.from(context); //context需定义</li>
</ol>
<p>通过源码分析，这三种方式最终的本质都是调用了Context.getSystemService()。</p>
<p>　　实例化后通过inflate方法加载具体的布局资源。有以下几种方式：</p>
<ol>
<li>public View inflate (int resource, ViewGroup root)</li>
<li>public View inflate (XmlPullParser parser, ViewGroup root)</li>
<li>public View inflate (XmlPullParser parser, ViewGroup root, boolean attachToRoot)</li>
<li>public View inflate (int resource, ViewGroup root, boolean attachToRoot)</li>
</ol>
<p>解析：如果将root参数设置为null，则忽略xml布局文件中的layout_x参数，（一般情况下选择Null即可）</p>
<p>　　　如果root不为null，并且把attachToRoot=true，那么就会根据root生成一个布局文件View的LayoutParam对象，并且将这个View添加到root中去，并且返回这个root的View。</p>
<p>　　具体例子：</p>
<pre>LayoutInflater inflater = (LayoutInflater)getSystemService(Context.LAYOUT_INFLATER_SERVICE);
View view = inflater.inflate(R.layout.custom, null);
EditText editText = (EditText)view.findViewById(R.id.content);</pre>

<ul>
<li>inflate方法与 findViewById 方法的区别</li>
</ul>
<ol>
<li>inflater 是用来找 res/layout下的 xml 布局文件，并且实例化；</li>
<li>findViewById() 是找具体 xml 布局文件中的具体 widget 控件(如:Button、TextView 等)。</li>
</ol>
<ul>
<li>inflate方法与 SetContentView方法的区别</li>
</ul>
<ol>
<li>SetContentView一旦调用, layout就会立刻显示UI</li>
<li>inflate只会把Layout形成一个以view类实现成的对象。有需要时再用setContentView(view)显示出来</li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 14:02:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/oca/" title="oca">oca</a>, <a href="https://www.biecuoliao.com/tag/sed/" title="sed">sed</a>, <a href="https://www.biecuoliao.com/tag/rom/" title="rom">rom</a>, <a href="https://www.biecuoliao.com/tag/%e6%83%85%e5%86%b5/" title="情况">情况</a>, <a href="https://www.biecuoliao.com/tag/context/" title="context">context</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.biecuoliao.com/tag/boolean/" title="boolean">boolean</a>, <a href="https://www.biecuoliao.com/tag/ttext/" title="ttext">ttext</a>, <a href="https://www.biecuoliao.com/tag/systems/" title="systems">systems</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>实例化Layout中的布局文件（xml）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmKDBn3.html" rel="bookmark">Android中给layout下的布局文件添加动画效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先上实现效果: 给ListView添加文本内容,文本内容添加进ListView的过程中增加动画效果 步骤一: 先定义好一个动画文件,把要实现的动画效果写好. 1.在res文件夹下创建anim文件夹 2.在anim文件夹中添加一个fd.xml(文件名自定义)文件 fd.xml内容: &lt;!--组合动画 duration:组合动画发生的的间隔时间 --&gt; &lt;set android:duration=&quot;1000&quot; xmlns:android=&quot;http://sche			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVQevQ4.html" rel="bookmark">androidstudio新建项目中在布局文件中不显示title的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在androidstudio新建项目的时候,在布局文件里有时候会出现如下情况: 上面的标题栏非常碍眼,要想隐藏标题栏的话,可以在Manifest文件的theme标签里进行配置,自定义一个theme,加上如下两句.或者直接在当前theme中添加 &lt;item name=&quot;windowActionBar&quot;&gt;false&lt;/item&gt; &lt;item name=&quot;windowNoTitle&quot;&gt;true&lt;/item&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dbOe74.html" rel="bookmark">Android笔记（十一） Android中的布局&mdash;&mdash;AndroidManiFest&period;xml</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AndroidManiFest.xml清单文件是每个Android项目所必须的,它是整个Android应用的全局描述文件.AndroidManiFest.xml清单文件说明了该应用的名称.所使用的图标以及包含的组件等等. AndroidManiFest.xml清单文件通常包含如下信息: 1. 应用程序的包名,该包名将会作为该应用的唯一标识 2. 应用所包含的组件,如Activity.Service.BroadcastReceiver和ContentProvider等 3. 应用程序兼容的最低版本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kZJGXM.html" rel="bookmark">mylistview 中item的子项的布局文件xml</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				@Override public View getView(final int position, View view, ViewGroup parent) { System.out.println(&quot;getView &quot; + position + &quot; &quot; + view); if (view == null) { view = View.inflate(ct, R.layout.pageproject_item, null); } TextView nameTxv =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AG2ag0.html" rel="bookmark">Android中五中布局文件的使用和介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android的布局风格   布局应该从外往里写 1.LinearLayout(线性布局) &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; android:layout_width=&quot;match_parent&quot; android:layo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02YqJpM.html" rel="bookmark">R&period;layout 中找不到已存在布局文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安卓程序复制的时候可能会android.R文件导入进来,这样就会造成自己工程里面的R文件中存在布局文件,但是编译器却还是提示找不到该资源,解决方法十分简单. 只要删除 import android.R; 然后 project-&gt;clean; 就行了. 版权声明:本文为博主原创文章,未经博主允许不得转载.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wLJmN4.html" rel="bookmark">Android中布局文件的创建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 Android应用程序中,界面是通过布局文件设定的.布局文件采用XML格式,每个应用程序默认包含一个主界面布局文件,该文件位于项目的 res/layout 目录中.接下来创建一个“布局”程序,此时会看到一个界面设计面板,如图1所示. 图1 布局文件 从图1中可以看出,布局文件窗口中有两个选项卡,分别是 Graphical Layout.activity_main.xml.其中 Graphical Layout是布局文件的图形化视图,在该视图中可以通过鼠标将 Palette 窗口中的控件直接拖			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWYgkr3.html" rel="bookmark">使用布局文件&lpar;Layout&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				布局文件类似于web form中的母版页,定义一个布局文件,然后在需要使用的视图中指定使用的布局文件,视图会把当前的动态绑定的数据传递到布局文件中,布局文件中也可以访问到这些数据.渲染视图文件中的数据在布局文件中必须使用@RenderBody()方法进行渲染,如果要使用视图文件中的数据就可以使用:@ViewBag.Title来访问视图文件中的数据. Index.cshtml @{ Layout = &quot;~/Views/Shared/_SiteLayout.cshtml&quot;;//声明使用的布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47EYoo0.html" rel="bookmark">Android中布局文件中使用onClick属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安卓开发中,布局文件中的控件有一个属性,是onClick,例如: &lt;Button android:id=&quot;@+id/button1&quot; android:layout_width=&quot;wrap_content&quot; android:layout_height=&quot;wrap_content&quot; android:onClick=&quot;onButtonClick&quot; android:text=&quot;Button&quot; /&gt; 在相			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kxRE3.html" rel="bookmark" class="title">POJ 2151 Check the difficulty of problems &lpar;概率DP&rpar;</a>
					<div>
						题意:ACM比赛中,共M道题,T个队,pij表示第i队解出第j题的概率 ,求每队至少解出一题且冠军队至少解出N道题的概率. 析:概率DP,dp[i][j][k] 表示第 i 个队伍,前 j 个题,解出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qgEpM.html" rel="bookmark" class="title">服务器监控cacti</a>
					<div>
						第九章:服务器监控系统cacti 防伪码:海阔天空 前言:在企业网络运维过程中,管理员必须时刻关注服务器的运行状态,如CPU.内存.磁盘空间使用情况等.为了能够及时的发现问题,尽量减少故障的发生.当网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZkJl4.html" rel="bookmark" class="title">关于浏览器兼容问题及hack写法</a>
					<div>
						浏览器的兼容问题 1.浏览器内核: Mozilla Firefox ( Gecko ) Internet Explorer ( Trident ) Opera ( Presto ) Safari (  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02z6B0.html" rel="bookmark" class="title">ASP&period;NET MVC4入门到精通系列目录汇总&lpar;转&rpar;</a>
					<div>
						序言 最近公司在招.NET程序员,我发现好多来公司面试的.NET程序员居然都没有 ASP.NET MVC项目经验,其中包括一些工作4.5年了,甚至8年10年的,许多人给我的感觉是:工作了4.5年,We ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQk9k3.html" rel="bookmark" class="title">hdu 2545 并查集</a>
					<div>
						题目描述:给定一个无向图,判断这个图是否满足任意两点之间有且只有一条通路. 思路:并查集,若a和b之间有一条边且处于不同的集合中,则将a和b所在集合合并:若a和b本就在同一集合中,则a到b一定有不止一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68WVG3.html" rel="bookmark" class="title">nyoj&lowbar;10&lowbar;skiing&lowbar;201405181748</a>
					<div>
						skiing 时间限制:3000 ms  |  内存限制:65535 KB 难度:5 描述 Michael喜欢滑雪百这并不奇怪, 因为滑雪的确很刺激.可是为了获得速度,滑的区域必须向下倾斜,而且当你滑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRzwK0.html" rel="bookmark" class="title">子类继承父类 &lpar; 代码复用 &rpar;</a>
					<div>
						&lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2ArrM.html" rel="bookmark" class="title">点击链接&comma;取得href的值&comma;但是不转向</a>
					<div>
						$('.list a').click(function (e) {  e.preventDefault();//取消事件的默认动作.  $.ajax({    url: $(this).attr('h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jz6dl4.html" rel="bookmark" class="title">GPIO寄存器</a>
					<div>
						GPIO寄存器描述 &lt;STM32参考手册中文-p75&gt; 1.端口配置低寄存器(GPIOx_CRL)(x = A...E)2.端口配置高寄存器(GPIOx_CRH)(x = A...E) 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZVj63.html" rel="bookmark" class="title">解决&lbrack;email&amp;&num;160&semi;protected&rsqb;每次提交需要输入用户名密码的问题</a>
					<div>
						最近才折腾git,没有选用github,而是选用了国内的[email protected],没别的,骗了他们一顿匹萨吃,红薯不要打我. [email protected]有两种提交方式HTTPS与SH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWgooM.html" rel="bookmark" class="title">源代码的控制、实现与合作</a>
					<div>
						近期,我与另一个同伴正在负责编写一个对文件程序加密的程序,在编写过程中我们通过将一个大程序拆分成一个一个小程序,整个程序的目的是在于对一个电脑中的txt文件进行rsa加密.最后将生成一串二进制的密文输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODpRX4.html" rel="bookmark" class="title">排序系列算法&mdash;&mdash;插入排序</a>
					<div>
						1. 原理 插入排序是顾名思义是将未进行排序的元素不断插入到已排序序列中的排序方法.如下图所示: 插入排序说白点就是在以排序的序列中找到未排序元素的位置,并将元素插入行程新的已排序序列的过程. 2.排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQyn8M.html" rel="bookmark" class="title">PAT：1001&period; A&plus;B Format &lpar;20&rpar;（数组存储，逢三加&OpenCurlyDoubleQuote;，&rdquo;） AC</a>
					<div>
						#include&lt;stdio.h&gt; int main() { int a,b; scanf(&quot;%d%d&quot;,&amp;a,&amp;b); int sum=a+b; if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqrmG0.html" rel="bookmark" class="title">什嚎倌谂磕刑邓遣孕两盒嚎刑谂俪</a>
					<div>
						http://i2.feixin.10086.cn/pages/101559/1352451049 http://i2.feixin.10086.cn/pages/107077/1352451050  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLKKw0.html" rel="bookmark" class="title">JavaScript中的两个&OpenCurlyDoubleQuote;0&rdquo;（翻译）</a>
					<div>
						本文翻译自JavaScript’s two zeros JavaScript has two zeros: −0 and +0. This post explains why that is and  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRgj74.html" rel="bookmark" class="title">zabbix的编译安装以及微信报警</a>
					<div>
						最近换了工作,开始事情还是比较多的,现在做个小结,给大家分享一下. 入职新公司第一天部门领导就给安排了任务,布置一套zabbix监控系统,将公司防火墙,交换机以及所有在线服务器全部监控上,然后调用微信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgErDK3.html" rel="bookmark" class="title">XMPP 协议工作流程具体解释</a>
					<div>
						XMPP 要点. 1. client(C) 和server端(S) 通过TCP连接5222port进行全双工通信. 2. XMPP 信息均包括在 XML streams中.一个XMPP会话, 開始于& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qj1leM.html" rel="bookmark" class="title">EditText控件设置只读&comma;动态控制EditText状态 输入框不自动打开输入法</a>
					<div>
						Android的文本框输入控件(EditText),有时需要设置控件为只读,最简单的方法就是在layout xml文件中设置EditText的android:editable属性值为false即可,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K8ORr3.html" rel="bookmark" class="title">3、CCS样式表</a>
					<div>
						一.CCS样式表的分类(优先级从低到高): 1.浏览器默认样式表 2.外部样式表:在外部创建的.ccs文件中.使用外部样式表可以使样式应用于多个网页.通过这个方法只需改动一个文件就能改变整个网站的外观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWvdY0.html" rel="bookmark" class="title">HTML基础-2</a>
					<div>
						文本格式化标签 标签 描述 &lt;b&gt; 定义粗体文本. &lt;big&gt; 定义大号字. &lt;em&gt; 定义着重文字. &lt;i&gt; 定义斜体字. &lt;small&gt; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
